package performa.utils;

import oneit.logging.*;
import oneit.security.*;
import oneit.security.oauth.utils.SetupUserHelper;


public class PerformaSetupUserHelper extends SetupUserHelper
{
    @Override
    public void setUpDefaultRole(SecUser secUser)
    {
        LogMgr.log(LoggingArea.ALL, LogLevel.PROCESSING1, "Inside setUpDefaultRole in PerformaSetupUserHelper for ", secUser);
    }

    @Override
    public void setUpDefaultPriv(SecUser secUser)
    {
        LogMgr.log(LoggingArea.ALL, LogLevel.DEBUG1, "Bypassing setUpDefaultPriv in PerformaSetupUserHelper");
    }

    @Override
    public void setUpDefaultExtensions(SecUser secUser)
    {
        LogMgr.log(LoggingArea.ALL, LogLevel.PROCESSING1, "Inside setUpDefaultExtensions in PerformaSetupUserHelper for ", secUser);
    }
}
